From e19fb88457f72a0441472b5cc7fcc3bb6bbdfa2f Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 7 May 2020 20:51:21 -0400
Subject: [PATCH 02/22] gnu: zathura: Move from pdf.scm to pwmt.scm.

* gnu/packages/pdf.scm (zathura): Move to [...]
* gnu/packages/pwmt.scm (zathura): [...] here.
---
 gnu/packages/pdf.scm  | 58 ----------------------------------------
 gnu/packages/pwmt.scm | 62 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+), 58 deletions(-)

diff --git a/gnu/packages/pdf.scm b/gnu/packages/pdf.scm
index 71b8177582..ff75e1ed55 100644
--- a/gnu/packages/pdf.scm
+++ b/gnu/packages/pdf.scm
@@ -577,64 +577,6 @@ by using the @code{mupdf} rendering library.")
 by using the poppler rendering engine.")
     (license license:zlib)))
 
-(define-public zathura
-  (package
-    (name "zathura")
-    (version "0.4.5")
-    (source (origin
-              (method url-fetch)
-              (uri
-               (string-append "https://pwmt.org/projects/zathura/download/zathura-"
-                              version ".tar.xz"))
-              (sha256
-               (base32
-                "0b3nrcvykkpv2vm99kijnic2gpfzva520bsjlihaxandzfm9ff8c"))))
-    (native-inputs `(("pkg-config" ,pkg-config)
-                     ("gettext" ,gettext-minimal)
-                     ("glib:bin" ,glib "bin")
-
-                     ;; For building documentation.
-                     ("python-sphinx" ,python-sphinx)
-
-                     ;; For building icons.
-                     ("librsvg" ,librsvg)
-
-                     ;; For tests.
-                     ("check" ,check)
-                     ("xorg-server" ,xorg-server-for-tests)))
-    (inputs `(("sqlite" ,sqlite)))
-    ;; Listed in 'Requires.private' of 'zathura.pc'.
-    (propagated-inputs `(("cairo" ,cairo)
-                         ("girara" ,girara)))
-    (native-search-paths
-     (list (search-path-specification
-            (variable "ZATHURA_PLUGINS_PATH")
-            (files '("lib/zathura")))))
-    (build-system meson-build-system)
-    (arguments
-     `(#:phases (modify-phases %standard-phases
-                  (add-before 'check 'start-xserver
-                    ;; Tests require a running X server.
-                    (lambda* (#:key inputs #:allow-other-keys)
-                      (let ((xorg-server (assoc-ref inputs "xorg-server"))
-                            (display ":1"))
-                        (setenv "DISPLAY" display)
-
-                        ;; On busy machines, tests may take longer than
-                        ;; the default of four seconds.
-                        (setenv "CK_DEFAULT_TIMEOUT" "20")
-
-                        ;; Don't fail due to missing '/etc/machine-id'.
-                        (setenv "DBUS_FATAL_WARNINGS" "0")
-                        (zero? (system (string-append xorg-server "/bin/Xvfb "
-                                                      display " &")))))))))
-    (home-page "https://pwmt.org/projects/zathura/")
-    (synopsis "Lightweight keyboard-driven PDF viewer")
-    (description "Zathura is a customizable document viewer.  It provides a
-minimalistic interface and an interface that mainly focuses on keyboard
-interaction.")
-    (license license:zlib)))
-
 (define-public podofo
   (package
     (name "podofo")
diff --git a/gnu/packages/pwmt.scm b/gnu/packages/pwmt.scm
index 28af803a45..de95190f09 100644
--- a/gnu/packages/pwmt.scm
+++ b/gnu/packages/pwmt.scm
@@ -28,11 +28,15 @@
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages glib)
+  #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages sphinx)
+  #:use-module (gnu packages sqlite)
   #:use-module (gnu packages xorg)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
+  #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix build-system meson))
 
@@ -84,3 +88,61 @@ application, an input bar that is used to execute commands of the
 application and the status bar which provides the user with current
 information.")
     (license license:zlib)))
+
+(define-public zathura
+  (package
+    (name "zathura")
+    (version "0.4.5")
+    (source (origin
+              (method url-fetch)
+              (uri
+               (string-append "https://pwmt.org/projects/zathura/download/zathura-"
+                              version ".tar.xz"))
+              (sha256
+               (base32
+                "0b3nrcvykkpv2vm99kijnic2gpfzva520bsjlihaxandzfm9ff8c"))))
+    (native-inputs `(("pkg-config" ,pkg-config)
+                     ("gettext" ,gettext-minimal)
+                     ("glib:bin" ,glib "bin")
+
+                     ;; For building documentation.
+                     ("python-sphinx" ,python-sphinx)
+
+                     ;; For building icons.
+                     ("librsvg" ,librsvg)
+
+                     ;; For tests.
+                     ("check" ,check)
+                     ("xorg-server" ,xorg-server-for-tests)))
+    (inputs `(("sqlite" ,sqlite)))
+    ;; Listed in 'Requires.private' of 'zathura.pc'.
+    (propagated-inputs `(("cairo" ,cairo)
+                         ("girara" ,girara)))
+    (native-search-paths
+     (list (search-path-specification
+            (variable "ZATHURA_PLUGINS_PATH")
+            (files '("lib/zathura")))))
+    (build-system meson-build-system)
+    (arguments
+     `(#:phases (modify-phases %standard-phases
+                  (add-before 'check 'start-xserver
+                    ;; Tests require a running X server.
+                    (lambda* (#:key inputs #:allow-other-keys)
+                      (let ((xorg-server (assoc-ref inputs "xorg-server"))
+                            (display ":1"))
+                        (setenv "DISPLAY" display)
+
+                        ;; On busy machines, tests may take longer than
+                        ;; the default of four seconds.
+                        (setenv "CK_DEFAULT_TIMEOUT" "20")
+
+                        ;; Don't fail due to missing '/etc/machine-id'.
+                        (setenv "DBUS_FATAL_WARNINGS" "0")
+                        (zero? (system (string-append xorg-server "/bin/Xvfb "
+                                                      display " &")))))))))
+    (home-page "https://pwmt.org/projects/zathura/")
+    (synopsis "Lightweight keyboard-driven PDF viewer")
+    (description "Zathura is a customizable document viewer.  It provides a
+minimalistic interface and an interface that mainly focuses on keyboard
+interaction.")
+    (license license:zlib)))
-- 
2.26.2

